man(1)

NAVN
man - formaterer og viser online manual siderne
manpath - udskriver brugerens søgesti for manual siderne

SYNTAKS
man [-acdfhkKtwW] [-m system] [-p streng] [-C konfigurationsfil] [-M sti] [-P pager] [-S kapitelliste] [kapitel] opslagsord ...

BESKRIVELSE
man formaterer og viser online manual siderne. Denne version genkender MANPATH og (MAN)PAGER variablerne, så du kan derfor fastsætte dit personlige set manual sider og vælge hvilket program du fortrækker til at vise de formaterede sider med. Hvis kapitel er angivet vil man kun gennemsøge dette kapitel af manualen. Man kan også angive hvilken rækkefølge kapitlerne gennemsøges for opslag i og hvilke preprocessore, som køres på kildeteksten, via kommandolinie parametre eller skalvariabler. Hvis opslagsordet indeholder en skråstreg ('/') bliver det først testet som et filnavn, så man kan anføre man ./foo.5 eller selv man /cd/foo/bar.1.gz.

PARAMETRE

-C  konfigurations_fil
    Angiver hvilken konfigurations_fil som bruges. Normalt anvendes /etc/man.conf. (Se man.conf(5).)

-M  sti
    Angiver hvilke kataloger som gennemsøges efter manualsider. Hvis en sådan parameter ikke er angivet bruges skalvariablen MANPATH. Hvis ingen sådan skalvariabel findes, konsulteres /etc/man.conf for at opbygge en standardliste. Hvis MANPATH indeholder et tom delstreng bruges standardlisten.

-P  pager
    Angiver hvilket 'pager' program, som skal bruges. Denne parameter tilsidesætter MANPAGER skalvariablen, som igen overskygger PAGER variablen. Normalt bruger 'man' /usr/bin/less-is.

-S  kapitel_liste
    Kapitel_liste er en kolon sepereret liste af kapiteller som skal gennemsøges. Denne parameter tilsidesætter MANSECT skalvariablen.

-a  Normalt vil man afslutte efter visning af den første fundne manualside Brug af denne parameter tvinger 'man' til ikke kun at vise den først fundne side, men alle sider der matcher opslagsord.

-c  Reformater kildesiden, selvom der findes en preformateret side, som er up to date. Denne mulighed bruges, hvis for eksempel manualsiden er preformateret til en skærm med en anden bredde end den, man aktuelt anvender.

-d  Siden vises ikke; men der udskrives adskillige fejlfindingsinformationer i stedet.

-D  Udskiver både siden og fejlfindingsinformation.

-f  Ækvivalent med whatis.

-h  Udskriv en kort hjælpetekst og afslut programmet.

-k  Ækvivalent med apropos.

-K  Gennemsøger *alle* manualsiderne efter den angivne streng. Advarsel: det kan godt gå meget langsomt. Det hjæper at specifisere et kapitel. På en typisk maskine tager det omkring 1 minut at gennemsøge 500 manualsider.

-m  system
    System angiver et alternativt set manualsider.

-p  string
    Angiver den sekvens af preprocessore som køres før nroff eller troff. Ikke alle installationer har et fuldt set preprocessore. Bogstaverne som betegner nogle af preprocessorene er: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Denne parameter tilsidesætter MANROFFSEQ skalvariablen.

u-t Brug /usr/bin/groff -Tps -mandoc til formattering af manualside, uddata sendes til stdout. Uddata fra /usr/bin/groff -Tps -mandoc må muligvis viderebearbejdes gennem et filter før udskrift.

-wor--path
    Manualsiderne vises ikke, men findestedet for filerne ,som ville blive formateret eller vist, udskrives. Hvis ingen argumenter er angivet udskrives hvilke kataloger som man gennemsøger efter manualsider. Hvis manpath er et link til man, så er 'manpath' ækvivalent med 'man --path'.

-W  Som -w, men udskriver filnavne en per linie, uden yderligere information. Dette er smart i skal kommandoer såsom man -aW man | xargs ls -l

PREFORMATEREDE SIDER
man vil prøve på at gemme de formaterede manualsider, for at spare formatteringstid næste gang der er brug for siderne. Traditionelt bliver de formatterede sider fra KATALOG/manX gemt i KATALOG/catX, men rute fra manual kataloget til preformat kataloget kan angives i /etc/man.conf. Ingen preformaterede sider bliver gemt, hvis det forlangte katalog ikke eksisterer.

Det er muligt at sætte 'man' suid til bruger man. Hvis cat kataloget har ejer
    man og tilgangsrettighed 0755 (kum skrivetilladelse for man), og cat-filerne har ejer man og tilgangsrettighed 0644 eller 0444 (kun skrivetilladelse for man, eller ingen skriveltilladelse overhovedet), kan ingen ordinær bruger ændre de preformaterede sider eller anbringe andre filer i katalog for preformaterede sider. Hvis 'man' ikke er suid, skal kataloget for preformaterede sider have tilgangrettighed 0777 hvis alle brugere skal have mulighed for at gemme preformaterede sider.

Parameteren -c gennemtvinger reformattering af en side,
    selvom en frisk preformateret side eksisterer.

SKALVARIABLE

MANPATH
    Hvis MANPATH er sat, bruges dens værdi som søgesti til manualsiderne.

MANROFFSEQ
    Hvis MANROFFSEQ is sat, bruges dennes værdi til at bestemme hvilke preprocessore som gennemkøres før nroff eller troff. Normalt bliver siderne sendt gennem tabel preprocessoren før nroff.

MANSECT
    Hvis MANSECT er sat, bruges dens værdi til at fastsætte hvilken manualsektioner som gennemsøges.

MANWIDTH
    Hvis MANWIDTH is sat, bruges dens værdi; som den brede manualsiderne bliver vist med. Hvis ikke MANWIDTH er sat, bruges hele skærmens bredde.

MANPAGER
    Hvis MANPAGER is sat, anvendes dets værdi som navnet på det program som bruges til at vise manualsiderne med. Hvis ikke så bruges PAGER. Hvis denne heller ikke har nogen værdi bruges /usr/bin/less-is.

LANG
    Hvis LANG er sat, bruges dets værdi til at definere i hvilket underkatalog man først kigger efter manualsider. Således vil kommandoen `LANG=da man 1 foo' få man til at lede efter foo manualsiden i .../da/man1/foo.1, og hvis der ikke kan finde en sådan fil fortsættes der i .../man1/foo.1, hvor ... er et katalog på søgestien.

NLSPATH, LC_MESSAGES, LANG
    Skalvariablerne NLSPATH og LC_MESSAGES (eller LANG når den sidste ikke findes) spiller en rolle i at lokalisere meddelelses kataloget. (Engelske meddelelser er oversat direkte ind i programmet, så derfor behøves intet katalog.) Bemærk at nogle programmer, så som col(1), kaldt af man også bruger LC_CTYPE.

STI STI bliver brugt til konstruktion af den normale søgesti for manualsiderne.

SYSTEM
    SYSTEM bliver brugt til at angive et andet system navn med (for brug med -m parametren).

SE OGSÅ
apropos(1), whatis(1), less(1), groff(1).

FEJL
-t parametren virker kun, hvis der er installeret et troff-lignende program.